Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454610 - udev rules file missing most of the options from upstream package
Summary: udev rules file missing most of the options from upstream package
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: midisport-firmware
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 11:02 UTC by Peter Howard
Modified: 2015-01-04 22:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-01 23:13:21 UTC


Attachments (Terms of Use)
Addition of extra Vendor/ProdID line to 81-midisport.rules (deleted)
2008-07-09 11:02 UTC, Peter Howard
no flags Details | Diff

Description Peter Howard 2008-07-09 11:02:24 UTC
Description of problem:

The udev rules file in the upstream midisport-firmware 1.2 package (on
sourceforge) covers 5 products ; the rules file in the RPM package has reduced
this to just 2 (although all firmware files appear to be in the package).  To
get my oxygen8 keyboard working (a.k.a. keystation) I had to manually restore
one of the lines (see attached patch).

Why have the other devices been removed?

Comment 1 Peter Howard 2008-07-09 11:02:24 UTC
Created attachment 311364 [details]
Addition of extra Vendor/ProdID line to 81-midisport.rules

Comment 2 Dave Jones 2008-07-09 16:08:40 UTC
they weren't removed, they never existed.  at the time that I created that rules
file, they were the only usb idents I knew of, and upstreams udev didn't support
midisport devices at all.

When the udev in Fedora gets updated, I'll drop the rules file completely.


Comment 3 Dave Jones 2008-08-14 16:47:25 UTC
I misread the report the first time. I thought you were inferring that upstream udev had incorporated rules.
As for the ones in the midisport upstream package.. I overlooked them I guess.
I just changed CVS to use the ones from there instead of the ones I wrote.

Thanks.

Comment 4 Peter Howard 2008-12-01 23:13:21 UTC
Confirmed that the updated rules file appears in F10.


Note You need to log in before you can comment on or make changes to this bug.